from pyglet.gl import *
from pyglet.graphics import draw


def rectangleVertices(left_x, lower_y, edgeLengthX, edgeLengthY):
  vertices = (
    left_x, lower_y,
    left_x + edgeLengthX - 1, lower_y,
    left_x + edgeLengthX - 1, lower_y + edgeLengthY - 1,
    left_x, lower_y + edgeLengthY - 1)
  return vertices

def drawRectangle(x, y, edgeLengthX, edgeLengthY, color, fill = True):
  glColor3f(*color)
  vertices = rectangleVertices(x, y, edgeLengthX, edgeLengthY)
  if fill:
    draw(4, GL_QUADS, ('v2f', vertices))
  else:
    draw(4, GL_LINE_LOOP, ('v2f', vertices))
  #draw(1, GL_POINTS, ('v2f', (x - 1, y + edgeLengthY - 1)))

